Linux repositories inspector

libnb-apisupport3-java - Common NetBeans Platform Development Related Libraries for NetBeans

The NetBeans Platform is a set of modules, each providing their own APIs and working together or in a standalone mode. This package contains common libraries for development of NetBeans Platform modular extensions.
10.0
Debian iconDebian 10.0
Ubuntu iconUbuntu 18.04 LTS
Ubuntu iconUbuntu 18.10
Ubuntu iconUbuntu 19.04
8.1
Debian iconDebian 9.0
Ubuntu iconUbuntu 17.10
Ubuntu iconUbuntu 18.04 LTS
Ubuntu iconUbuntu 18.10
Ubuntu iconUbuntu 16.04 LTS
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 10.0 buster/maindeb10.0-310.03.2019663 kiB3.91 MiB
Debian iconDebian 9.0 stretch/maindeb8.1+dfsg3-210.11.2017905 kiB4.25 MiB
Ubuntu iconUbuntu 17.10 artful/universedeb8.1+dfsg3-410.11.2017900 kiB4.25 MiB
Ubuntu iconUbuntu 18.04 LTS bionic/universedeb8.1+dfsg3-410.11.2017900 kiB4.25 MiB
Ubuntu iconUbuntu 18.04 LTS bionic-proposed/universedeb10.0-3~18.04.1ubuntu110.04.2019663 kiB3.91 MiB
Ubuntu iconUbuntu 18.10 cosmic/universedeb8.1+dfsg3-514.01.2019900 kiB4.26 MiB
Ubuntu iconUbuntu 18.10 cosmic-proposed/universedeb10.0-3~18.04.1ubuntu110.04.2019663 kiB3.91 MiB
Ubuntu iconUbuntu 19.04 disco/universedeb10.0-301.03.2019656 kiB3.91 MiB
Ubuntu iconUbuntu 16.04 LTS xenial/universedeb8.1+dfsg2-310.11.2017901 kiB4.25 MiB

Latest updates

Ubuntu 18.10 icon

Ubuntu 18.10 cosmic-proposed/universe: Updated from 10.0-3~18.04.1 to 10.0-3~18.04.1ubuntu1

10.04.2019 13:40
Matthias Klose
  • Build for bionic. LP: #1816528.
Tiago Stürmer Daitx
  • debian/patches/revert-netbeans-clusters: revert netbeans.clusters so there's no diff from the conffile of the previous version, otherwise any local changes to netbeans.clusters would prevent u-u from upgrading the netbeans package.
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Updated from 10.0-3~18.04.1 to 10.0-3~18.04.1ubuntu1

10.04.2019 12:55
Matthias Klose
  • Build for bionic. LP: #1816528.
Tiago Stürmer Daitx
  • debian/patches/revert-netbeans-clusters: revert netbeans.clusters so there's no diff from the conffile of the previous version, otherwise any local changes to netbeans.clusters would prevent u-u from upgrading the netbeans package.
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic-proposed/universe: Version 10.0-3~18.04.1 introduced

12.03.2019 21:15
  • Build for bionic. LP: #1816528.
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 10.0-2 to 10.0-3

10.03.2019 23:32
  • Drop javaewah-version.patch
  • Tighten dependency on libjavaewah-java (>= 0.7.9)
  • Start new changelog entry
  • Disable the javafx.cluster because JavaFX will not work with OpenJDK 11 and Netbeans 10.
    Update nb-javac.patch and hide some classes from the CLASSPATH. nb-javac needs to override classfiles in the JDK and some OSGi metadata is only present in the prebuilt version from the plugin portal. This has to be added to fix the sealing violation error.
    Thanks to Jan Lahoda and Jaroslav Tulach for the help and support. (Closes: #920707)
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Updated from 10.0-2~18.04 to 10.0-3~18.04.1

10.03.2019 08:42
  • Build for bionic. LP: #1816528.
Ubuntu 19.04 icon

Ubuntu 19.04 disco-proposed/universe: Version 10.0-3 removed

01.03.2019 08:00
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 10.0-2~18.04 introduced

01.03.2019 08:00
  • Build for bionic. LP: #1816528.
Ubuntu 19.04 icon

Ubuntu 19.04 disco/universe: Updated from 10.0-2 to 10.0-3

01.03.2019 07:56
See package libnb-ide14-java
Ubuntu 19.04 icon

Ubuntu 19.04 disco-proposed/universe: Version 10.0-3 introduced

01.03.2019 06:45
See package libnb-ide14-java
Debian 10.0 icon

Debian 10.0 buster/main: Version 10.0-2 introduced

01.02.2019 22:07
  • Replace NoJavacHelper.patch with Unsafe.patch which is much better.
  • Fix broken subversion support by symlinking all necessary system jars to the ide cluster.
  • Remove netbeans-slf4j.dummy.patch again.
  • Add nb-javac.patch. The nb-javac module is not properly detected. This patch adds the necessary jar files to the Class-Path. However now there is an Unexpected Exception, a sealing violation. It appears to be harmless but the notification at startup is irritating.
Ubuntu 19.04 icon

Ubuntu 19.04 disco/universe: Updated from 10.0-1 to 10.0-2

28.01.2019 02:57
See package libnb-ide14-java
Ubuntu 19.04 icon

Ubuntu 19.04 disco-proposed/universe: Version 10.0-2 removed

28.01.2019 02:15
Ubuntu 19.04 icon

Ubuntu 19.04 disco-proposed/universe: Version 10.0-2 introduced

28.01.2019 01:40
See package libnb-ide14-java
Ubuntu 19.04 icon

Ubuntu 19.04 disco/universe: Updated from 8.1+dfsg3-5 to 10.0-1

27.01.2019 21:46
See package libnb-ide14-java
Debian experimental icon

Debian experimental experimental/main: Version 8.2+dfsg1-1 removed

25.01.2019 16:30
Ubuntu 19.04 icon

Ubuntu 19.04 disco/universe: Version 8.1+dfsg3-5 introduced

14.01.2019 13:06
See package libnb-ide14-java
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic/universe: Version 8.1+dfsg3-5 introduced

14.01.2019 03:11
See package libnb-ide14-java
Debian 10.0 icon

Debian 10.0 buster/main: Version 8.1+dfsg3-4 removed

12.01.2019 14:16
Debian experimental icon

Debian experimental experimental/main: Version 8.2+dfsg1-1 introduced

10.11.2017 09:51
Emmanuel Bourg
  • Switch back to libcglib-java.
Markus Koschany
  • New upstream version 8.2+dfsg-1.
  • Refresh all patches for new release.
  • Work around a lot of build failures due to missing JDK 9 classes by copying modules from 8.1. See debian/patches for more information.
  • Switch to compat level 10.
  • Update linked-jars accordingly.
  • Use permit JDK 8 builds option consistently in debian/rules.
  • Tighten dependencies on platform modules to 8.2.
Debian 10.0 icon

Debian 10.0 buster/main: Version 8.1+dfsg3-4 introduced

10.11.2017 09:48
  • Really update jna-4.4.0-compatibility.patch and fix FTBFS with JNA 4.4.0.
⇧ Top